import http from '@/utils/http'

/**
 * 查询用户提现申请
 */
export function find(id) {
  return http.get('/member/withdraw/apply/' + id)
}

/**
 * 更新状态
 */
export function updateStatus(ids, status, memberId) {
  return http.post('/member/withdraw/apply/status', { 'id[]': ids, 'status': status, 'memberId': memberId })
}

/**
 * 删除用户提现申请
 */
export function remove(ids) {
  return http.post('/member/withdraw/apply/delete', { 'id[]': ids })
}

/**
 * 保存用户提现申请
 */
export function save(params) {
  return http.post('/member/withdraw/apply', params)
}
